---
- name: Create config directories
  file:
    path: '~/.config/QtProject/qtcreator/{{ item }}'
    state: directory
    mode: 0755
  loop:
    - styles
    - themes

- name: Copy application themes
  copy:
    src: '{{ item }}'
    dest: ~/.config/QtProject/qtcreator/themes
    force: yes
    mode: 0644
  loop:
    - nord.creatortheme
    - onedark.creatortheme

- name: Copy editor styles
  copy:
    src: '{{ item }}'
    dest: ~/.config/QtProject/qtcreator/styles
    force: yes
    mode: 0644
  loop:
    - nord.xml
    - onedark.xml
